ror/config/routes.rb
Rails.application.routes.draw do
  resources :games
  resources :swinging_demo
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html
  # Defines the root path route ("/")
  # root "articles#index"
  get 'brickies/privacy_policy', to:'brickies#privacy_policy'
  get 'brickies/terms_and_conditions', to:'brickies#terms_and_conditions'
  get 'farm_clicker/privacy_policy', to:'farm_clicker#privacy_policy'
  get 'farm_clicker/terms_and_conditions', to:'farm_clicker#terms_and_conditions'
  get 'not_found', to:'application#not_found'
  get 'home', to:'application#home'
  root "application#home"
end

ror/app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  primary_abstract_class
end

ror/app/models/game.rb
class Game < ApplicationRecord
end

ror/app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
    before_action :set_locale
    
    def set_locale
        I18n.locale = locale || I18n.default_locale
    end

    def locale
        return params[:locale] if ["es", "en"].include? params[:locale]
    end
    
    def page_not_found
    end
    def home
    end
end

ror/app/controllers/brickies_controller.rb
class BrickiesController < ApplicationController
    def privacy_policy
    end
    def terms_and_conditions
    end
end

ror/app/controllers/farm_clicker_controller.rb
class FarmClickerController < ApplicationController
    def privacy_policy
    end
    def terms_and_conditions
    end
end

ror/app/controllers/games_controller.rb
class GamesController < ApplicationController
  before_action :set_game, only: %i[ show edit update destroy ]

  # GET /games or /games.json
  def index
    @games = Game.all
  end

  # GET /games/1 or /games/1.json
  def show
  end

  # GET /games/new
  def new
    @game = Game.new
  end

  # GET /games/1/edit
  def edit
  end

  # POST /games or /games.json
  def create
    @game = Game.new(game_params)

    respond_to do |format|
      if @game.save
        format.html { redirect_to game_url(@game), notice: "Game was successfully created." }
        format.json { render :show, status: :created, location: @game }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @game.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /games/1 or /games/1.json
  def update
    respond_to do |format|
      if @game.update(game_params)
        format.html { redirect_to game_url(@game), notice: "Game was successfully updated." }
        format.json { render :show, status: :ok, location: @game }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @game.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /games/1 or /games/1.json
  def destroy
    @game.destroy

    respond_to do |format|
      format.html { redirect_to games_url, notice: "Game was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_game
      @game = Game.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def game_params
      params.require(:game).permit(:title, :description, :platform)
    end
end

ror/app/controllers/swinging_demo_controller.rb
class SwingingDemoController < ApplicationController
  def index
  end
end

ror/app/helpers/application_helper.rb
module ApplicationHelper
    def current_page_params
        request.params.slice("locale")
    end
end

ror/app/helpers/games_helper.rb
module GamesHelper
end

ror/app/views/application/page_not_found.html.haml
!!!
/
  Change the value of lang="en" attribute if your website's language is not English.
  You can find the code of your language here - https://www.w3schools.com/tags/ref_language_codes.asp
%html{:lang => "en"}
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %title Rhythm — One &amp; Multi Page Creative Template
    %meta{:content => "Rhythm — One & Multi Page Creative Template", :name => "description"}/
    %meta{:charset => "utf-8"}/
    %meta{:content => "https://themeforest.net/user/bestlooker/portfolio", :name => "author"}/
    /[if IE] <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
    %meta{:content => "width=device-width, initial-scale=1.0", :name => "viewport"}/
    / Favicons
    = favicon_link_tag 'favicon.ico'
    / CSS
  %body.appear-animate
    / Page Loader
    .page-loader
      .loader Loading...
    / End Page Loader
    / Skip to Content
    %a.btn.skip-to-content{:href => "#main"} Skip to Content
    / End Skip to Content
    / Page Wrap
    #top.page
      / Navigation panel
      %nav.main-nav.dark.transparent.stick-fixed.wow-menubar
        .full-wrapper.relative.clearfix
          / Logo ( * your text or image into link tag *)
          .nav-logo-wrap.local-scroll
            %a.logo{:href => "index.html"}
              %img{:alt => "Company logo", :height => "37", :src => "images/logo-white.png", :width => "188"}/
          / Mobile Menu Button
          .mobile-nav{:role => "button", :tabindex => "0"}
            %i.fa.fa-bars
            %span.sr-only Menu
          / Main Menu
          .inner-nav.desktop-nav
            %ul.clearlist.scroll-nav.local-scroll
              %li.active
                %a.small.uppercase{:href => "mailto:support@bestlooker.pro"}
                  %i.fa.fa-envelope
                  support@bestlooker.pro
              %li
                %a.small.uppercase{:href => "#"}
                  %i.fa.fa-phone
                  0307-567-890
          / End Main Menu
      / End Navigation panel
      %main#main
        / Home Section
        %section#home.home-section.bg-dark-alfa-70.parallax-5{"data-background" => "images/full-width-images/section-bg-14.jpg"}
          .container.min-height-100vh.d-flex.align-items-center.pt-100.pb-100
            / Hero Content
            .home-content
              .hs-wrap
                .wow.fadeInUpShort{"data-wow-delay" => ".1s"}
                  %h1.hs-line-1.opacity-085.mb-40.mb-xs-20 404
                .wow.fadeInUpShort{"data-wow-delay" => ".2s"}
                  %p.hs-line-6.opacity-07
                    The page you were looking for could not be found.
                .local-scroll.wow.fadeInUpShort{"data-wow-delay" => ".3s"}
                  %a.btn.btn-mod.btn-w.btn-round.btn-small{:href => "index.html"}
                    %i.fa.fa-angle-left
                    Back To Home Page
            / End Hero Content
        / End Home Section
      / Footer
      %footer.page-section.bg-gray-lighter.footer.pb-100.pb-sm-50
        .container
          / Social Links
          .footer-social-links.mb-90.mb-xs-40
            %a{:href => "#", :target => "_blank", :title => "Facebook"}
              %i.fab.fa-facebook-f
              %span.sr-only Facebook profile
            %a{:href => "#", :target => "_blank", :title => "Twitter"}
              %i.fab.fa-twitter
              %span.sr-only Twitter profile
            %a{:href => "#", :target => "_blank", :title => "Twitter"}
              %i.fab.fa-vimeo-v
              %span.sr-only Vimeo profile
            %a{:href => "#", :target => "_blank", :title => "Behance"}
              %i.fab.fa-behance
              %span.sr-only Behance profile
            %a{:href => "#", :target => "_blank", :title => "Pinterest"}
              %i.fab.fa-pinterest
              %span.sr-only Pinterest profile
          / End Social Links
          / Footer Text
          .footer-text
            / Copyright
            .footer-copy
              %a{:href => "index.html"}> © Rhythm 2022
              \.
            / End Copyright
            .footer-made
              Made with love for great people.
          / End Footer Text
        / Top Link
        .local-scroll
          %a.link-to-top{:href => "#top"}
            %i.link-to-top-icon
            %span.sr-only Scroll to top
        / End Top Link
      / End Footer
    / End Page Wrap
    / JS

ror/app/views/application/under_construction.html.haml
!!!
/
  Change the value of lang="en" attribute if your website's language is not English.
  You can find the code of your language here - https://www.w3schools.com/tags/ref_language_codes.asp
%html{:lang => "en"}
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %meta{:charset => "utf-8"}/
    /[if IE] <meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
    %meta{:content => "width=device-width, initial-scale=1.0", :name => "viewport"}/
    / Favicons
    = favicon_link_tag 'favicon.ico'
    / CSS
    = stylesheet_link_tag 'bootstrap.min'
    = stylesheet_link_tag 'style'
    = stylesheet_link_tag 'style-responsive'
    = stylesheet_link_tag 'vertical-rhythm.min'
    = stylesheet_link_tag 'magnific-popup'
    = stylesheet_link_tag 'owl.carousel'
    = stylesheet_link_tag 'animate.min'
    = stylesheet_link_tag 'splitting'

  %body.appear-animate
    / Page Loader
    .page-loader
      .loader Loading...
    / End Page Loader
    / Skip to Content
    %a.btn.skip-to-content{:href => "/#main"} Skip to Content
    / End Skip to Content
    / Page Wrap
    #top.page
      / Navigation panel
      %nav.main-nav.dark.transparent.stick-fixed.wow-menubar
        .full-wrapper.relative.clearfix
          / Logo ( * your text or image into link tag *)
          .nav-logo-wrap.local-scroll
            %a.logo{:href => "#"}
              = image_tag 'logo-white.png', alt:"Company logo", height: "37", width: "188"
          / Mobile Menu Button
          .mobile-nav{:role => "button", :tabindex => "0"}
            %i.fa.fa-bars
            %span.sr-only Menu
          / Main Menu
        / End Main Menu
      / End Navigation panel
      %main#main
        / Home Section
        %section#home.home-section.bg-dark-alfa-70.parallax-5{:style => "background-image: url(#{image_path "section-bg-14.png"})"}
          .container.min-height-100vh.d-flex.align-items-center.pt-100.pb-100
            / Hero Content
            .home-content
              .hs-wrap
                .wow.fadeInUpShort{"data-wow-delay" => ".1s"}
                  %h1.hs-line-1.opacity-085.mb-40.mb-xs-20.light-content Sorry
                .wow.fadeInUpShort{"data-wow-delay" => ".2s"}
                  %p.hs-line-6.opacity-07.light-content
                    We are currently under construction.
                  %p.opacity-07.mb-60.mb-xs-30.light-content
                    We will soon have more news and updates.
            / End Hero Content
        / End Home Section
      / Footer
      %footer.page-section.bg-gray-lighter.footer.pb-100.pb-sm-50
        .container
          / Social Links
          .footer-social-links.mb-90.mb-xs-40
           
            %a{:href => "#", :target => "_blank", :title => "Twitter"}
              %i.fab.fa-twitter
              %span.sr-only Twitter profile
            %a{:href => "#", :target => "_blank", :title => "Instagram"}
              %i.fab.fa-instagram
              %span.sr-only Instagram profile
            %a{:href => "#", :target => "_blank", :title => "Pinterest"}
              %i.fab.fa-pinterest
              %span.sr-only Pinterest profile
          / End Social Links
          / Footer Text
          .footer-text
            .footer-made
              Hard work makes perfect.
          / End Footer Text
        / Top Link
        .local-scroll
          %a.link-to-top{:href => "#top"}
            %i.link-to-top-icon
            %span.sr-only Scroll to top
        / End Top Link
      / End Footer
    / End Page Wrap
    / JS
    =javascript_include_tag 'template/jquery.min.js'
    =javascript_include_tag 'template/jquery.easing.1.3.js'
    =javascript_include_tag 'template/bootstrap.bundle.min.js'
    =javascript_include_tag 'template/SmoothScroll.js'
    =javascript_include_tag 'template/jquery.scrollTo.min.js'
    =javascript_include_tag 'template/jquery.localScroll.min.js'
    =javascript_include_tag 'template/jquery.viewport.mini.js'
    =javascript_include_tag 'template/jquery.countTo.js'
    =javascript_include_tag 'template/jquery.appear.js'
    =javascript_include_tag 'template/jquery.parallax-1.1.3.js'
    =javascript_include_tag 'template/jquery.fitvids.js'
    =javascript_include_tag 'template/owl.carousel.min.js'
    =javascript_include_tag 'template/isotope.pkgd.min.js'
    =javascript_include_tag 'template/imagesloaded.pkgd.min.js'
    =javascript_include_tag 'template/jquery.magnific-popup.min.js'
    =javascript_include_tag 'template/masonry.pkgd.min.js'
    =javascript_include_tag 'template/jquery.lazyload.min.js'
    =javascript_include_tag 'template/wow.min.js'
    =javascript_include_tag 'template/morphext.js'
    =javascript_include_tag 'template/typed.min.js'
    =javascript_include_tag 'template/all.js'
    =javascript_include_tag 'template/contact-form.js'
    =javascript_include_tag 'template/jquery.ajaxchimp.min.js'
    =javascript_include_tag 'template/objectFitPolyfill.min.js'
    =javascript_include_tag 'template/splitting.min.js'

ror/app/views/games/_form.html.haml
= form_with(model: game) do |form|
  - if game.errors.any?
    %div{:style => "color: red"}
      %h2
        = pluralize(game.errors.count, "error")
        prohibited this game from being saved:
      %ul
        - game.errors.each do |error|
          %li= error.full_message
  %div
    = form.label :title, style: "display: block"
    = form.text_field :title
  %div
    = form.label :description, style: "display: block"
    = form.text_field :description
  %div
    = form.label :platform, style: "display: block"
    = form.text_field :platform
  %div
    = form.submit

ror/app/views/games/_game.html.haml
%div{:id => "#{dom_id game}"}
  %p
    %strong Title:
    = game.title
  %p
    %strong Description:
    = game.description
  %p
    %strong Platform:
    = game.platform

ror/app/views/games/edit.html.haml
%h1 Editing game
= render "form", game: @game
%br/
%div
  = link_to "Show this game", @game
  |
  \#{link_to "Back to games", games_path}

ror/app/views/games/index.html.haml
%p{:style => "color: green"}= notice
%h1 Games
#games
  - @games.each do |game|
    = render game
    %p
      = link_to "Show this game", game
= link_to "New game", new_game_path

ror/app/views/games/new.html.haml
%h1 New game
= render "form", game: @game
%br/
%div
  = link_to "Back to games", games_path

ror/app/views/games/show.html.haml
%p{:style => "color: green"}= notice
= render @game
%div
  = link_to "Edit this game", edit_game_path(@game)
  |
  \#{link_to "Back to games", games_path}
  
  \#{button_to "Destroy this game", @game, method: :delete}

ror/app/views/layouts/_footer.html.haml
/ Footer
%footer.page-section.bg-gray-lighter.footer.pb-100.pb-sm-50
.container
	/ Social Links
	.footer-social-links.mb-90.mb-xs-40
	%a{:href => "#", :target => "_blank", :title => "Facebook"}
		%i.fab.fa-facebook-f
		%span.sr-only Facebook profile
	%a{:href => "#", :target => "_blank", :title => "Twitter"}
		%i.fab.fa-twitter
		%span.sr-only Twitter profile
	%a{:href => "#", :target => "_blank", :title => "Twitter"}
		%i.fab.fa-vimeo-v
		%span.sr-only Vimeo profile
	%a{:href => "#", :target => "_blank", :title => "Behance"}
		%i.fab.fa-behance
		%span.sr-only Behance profile
	%a{:href => "#", :target => "_blank", :title => "Pinterest"}
		%i.fab.fa-pinterest
		%span.sr-only Pinterest profile
	/ End Social Links
	/ Footer Text
	.footer-text
	/ Copyright
	.footer-copy
		%a{:href => "index.html"}> © Rhythm 2022
		\.
	/ End Copyright
	.footer-made
		Made with love for great people.
	/ End Footer Text
/ Top Link
.local-scroll
	%a.link-to-top{:href => "#top"}
	%i.link-to-top-icon
	%span.sr-only Scroll to top
/ End Top Link
/ End Footer

ror/app/views/layouts/_messages.html.haml
- flash.each do |name, msg|
	- if msg.is_a?(String)
		%br
		%div{:class => "alert alert-#{name.to_s == 'notice' ? 'success' : 'danger'}"}
			%button.close{"aria-hidden" => "true", "data-dismiss" => "alert", :type => "button"} &times;
		= content_tag :div, msg, :id => "flash_#{name}"

ror/app/views/layouts/_navbar.html.haml
%nav.main-nav.dark.transparent.stick-fixed.wow-menubar
	.full-wrapper.relative.clearfix
		/ Logo ( * your text or image into link tag *)
		.nav-logo-wrap.local-scroll
		%a.logo{:href => "/index.html"}
			= image_tag 'logo-white.png', width: 85, alt:"Company logo", height: "37", width: "188"
		/ Mobile Menu Button
		.mobile-nav{:role => "button", :tabindex => "0"}
		%i.fa.fa-bars
		%span.sr-only Menu
		/ Main Menu

ror/app/views/layouts/application.html.haml
!!!
%html
	%head
		%meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
		%title Ajiuman Games
		%meta{:content => "width=device-width,initial-scale=1", :name => "viewport"}/
		= csrf_meta_tags
		= csp_meta_tag
		= stylesheet_link_tag "application", "data-turbo-track": "reload"
		= javascript_importmap_tags
	%body
		= yield

ror/app/views/layouts/devise.html.haml
%html
	%head
		%meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
		%title Tasker
		= csrf_meta_tags
		= csp_meta_tag
		= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload'
		= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload'
	%body
		.container
			.main-flash-messages
				= render 'layouts/messages'
		.fullscreen
			.container
				= yield

ror/app/views/swinging_demo/index.haml
!!!
%html{:lang => "en-us"}
  %head
    %meta{:charset => "utf-8"}/
    %meta{:content => "text/html; charset=utf-8", "http-equiv" => "Content-Type"}/
    %title Unity WebGL Player | SwingingProject
    = favicon_link_tag 'favicon.ico'
    = stylesheet_link_tag 'unity'
  %body
    #unity-container.unity-desktop
      %canvas#unity-canvas{:height => "600", :width => "960"}
      #unity-loading-bar
        #unity-logo
        #unity-progress-bar-empty
          #unity-progress-bar-full
      #unity-warning
      #unity-footer
        #unity-webgl-logo
        #unity-fullscreen-button
        #unity-build-title SwingingProject
    :javascript
      var container = document.querySelector("#unity-container");
      var canvas = document.querySelector("#unity-canvas");
      var loadingBar = document.querySelector("#unity-loading-bar");
      var progressBarFull = document.querySelector("#unity-progress-bar-full");
      var fullscreenButton = document.querySelector("#unity-fullscreen-button");
      var warningBanner = document.querySelector("#unity-warning");

      // Shows a temporary message banner/ribbon for a few seconds, or
      // a permanent error message on top of the canvas if type=='error'.
      // If type=='warning', a yellow highlight color is used.
      // Modify or remove this function to customize the visually presented
      // way that non-critical warnings and error messages are presented to the
      // user.
      function unityShowBanner(msg, type) {
        function updateBannerVisibility() {
          warningBanner.style.display = warningBanner.children.length ? 'block' : 'none';
        }
        var div = document.createElement('div');
        div.innerHTML = msg;
        warningBanner.appendChild(div);
        if (type == 'error') div.style = 'background: red; padding: 10px;';
        else {
          if (type == 'warning') div.style = 'background: yellow; padding: 10px;';
          setTimeout(function() {
            warningBanner.removeChild(div);
            updateBannerVisibility();
          }, 5000);
        }
        updateBannerVisibility();
      }

      var buildUrl = "assets/swinging";
      var loaderUrl = buildUrl + "/OpenGL.loader.js";
      var config = {
        dataUrl: buildUrl + "/OpenGL.data.br",
        frameworkUrl: buildUrl + "/OpenGL.framework.js.br",
        codeUrl: buildUrl + "/OpenGL.wasm.br",
        streamingAssetsUrl: "StreamingAssets",
        companyName: "DefaultCompany",
        productName: "SwingingProject",
        productVersion: "1.0",
        showBanner: unityShowBanner,
      };

      // By default Unity keeps WebGL canvas render target size matched with
      // the DOM size of the canvas element (scaled by window.devicePixelRatio)
      // Set this to false if you want to decouple this synchronization from
      // happening inside the engine, and you would instead like to size up
      // the canvas DOM size and WebGL render target sizes yourself.
      // config.matchWebGLToCanvasSize = false;

      if (/iPhone|iPad|iPod|Android/i.test(navigator.userAgent)) {
        // Mobile device style: fill the whole browser client area with the game canvas:

        var meta = document.createElement('meta');
        meta.name = 'viewport';
        meta.content = 'width=device-width, height=device-height, initial-scale=1.0, user-scalable=no, shrink-to-fit=yes';
        document.getElementsByTagName('head')[0].appendChild(meta);
        container.className = "unity-mobile";
        canvas.className = "unity-mobile";

        // To lower canvas resolution on mobile devices to gain some
        // performance, uncomment the following line:
        // config.devicePixelRatio = 1;

        unityShowBanner('WebGL builds are not supported on mobile devices.');
      } else {
        // Desktop style: Render the game canvas in a window that can be maximized to fullscreen:

        canvas.style.width = "960px";
        canvas.style.height = "600px";
      }

      loadingBar.style.display = "block";

      var script = document.createElement("script");
      script.src = loaderUrl;
      script.onload = () => {
        createUnityInstance(canvas, config, (progress) => {
          progressBarFull.style.width = 100 * progress + "%";
        }).then((unityInstance) => {
          loadingBar.style.display = "none";
          fullscreenButton.onclick = () => {
            unityInstance.SetFullscreen(1);
          };
        }).catch((message) => {
          alert(message);
        });
      };
      document.body.appendChild(script);